
Redmine - Defect #19705

Cannot sort issues by custom field

2015-04-24 16:30 - Zack Shahan

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

When attempting to sort issues, all columns will sort except custom fields.  When attempting to sort via a custom field, I get a 500

error.

Completed 500 Internal Server Error in 74ms (ActiveRecord: 5.2ms)

ArgumentError (wrong number of arguments (0 for 1..2)):

  app/models/issue_query.rb:343:in `issues'

  app/controllers/issues_controller.rb:70:in `index'

 
Environment:

  Redmine version                3.0.1.stable

  Ruby version                   2.1.4-p265 (2014-10-27) [x86_64-linux]

  Rails version                  4.2.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Git                            2.3.3

  Filesystem

Redmine plugins:

  advanced_roadmap_v2            2.4.0

  redmine_bootstrap_kit          0.2.3

  redmine_category_watchers      0.0.1

  redmine_checklists             3.1.1

  redmine_ckeditor               1.1.0

  redmine_dashboard              2.5.0

  redmine_issue_reminder         0.0.1

  redmine_jenkins                1.0.1

  redmine_journal_folder         0.0.1

  redmine_wiki_extensions        0.7.0

  redmine_wiki_lists             0.0.4

  redmine_workflow_hidden_fields 0.2.0

  view_customize                 1.1.2

History

#1 - 2015-04-24 17:36 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I cannot reproduce on Redmine without plugins.

I think your plugin causes error.

What format is your custom filed? (e.g. Text)

I think your plugin overrides Redmine code.

#2 - 2015-04-24 18:32 - Zack Shahan

I have found that the redmine_jenkins plugin is causing this issue.  I have filed a issue with the author of the plugin.

#3 - 2015-04-24 18:47 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed
- Resolution set to Invalid

Thank you for your feedback.
